%global debug_package %{nil}
Name:           mingw-nsis-plugin-nsprocess
Version:        1.6
Release:        3%{?dist}
Summary:        Nullsoft Scriptable Install System Plugin nsProcess

License:        GPL
Group:          Development/Libraries
URL:            http://nsis.sourceforge.net/NsProcess_plugin
Source0:        nsProcess-1.6.tar.xz
Source1:        nsProcess-CMakeLists.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# This patch fixes NSIS to actually build 64-bit versions.
# Originally from Debian, updated by Kevin Kofler.
Patch0:         compile-with-mingw.patch
Patch1:         mingw-nsProcess-fix-compile-issue.patch

BuildRequires:  cmake
BuildRequires:  mingw32-filesystem >= 40
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils

%description
NSIS, the Nullsoft Scriptable Install System, is a script-driven
Windows installation system.

This package includes nsis nsProcess plugins.

%prep
%autosetup -n nsProcess-%{version} -p1
cp %SOURCE1 Source/CMakeLists.txt

%build
mkdir ascii
pushd ascii
mingw32-cmake ../Source
make 
popd

mkdir unicode
pushd unicode
mingw32-cmake -DUNICODE=1 ../Source
make
popd

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/share/nsis/Plugins/x86-unicode
mkdir -p $RPM_BUILD_ROOT/usr/share/nsis/Plugins/x86-ansi
mkdir -p $RPM_BUILD_ROOT/usr/share/nsis/Include
install -m755 ascii/*.dll $RPM_BUILD_ROOT/usr/share/nsis/Plugins/x86-ansi
install -m755 unicode/*.dll $RPM_BUILD_ROOT/usr/share/nsis/Plugins/x86-unicode
install -m644 Include/nsProcess.nsh $RPM_BUILD_ROOT/usr/share/nsis/Include
install -m644 Include/nsProcess.nsh $RPM_BUILD_ROOT/usr/share/nsis/Include/nsProcessW.nsh
sed -i -e 's/nsProcess::_/nsProcessW::_/g' $RPM_BUILD_ROOT/usr/share/nsis/Include/nsProcessW.nsh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/nsis


%changelog
* Mon Apr 29 2024 Yupeng Chang <ypchang@ambarella.com> - 1.6-3
- Rebuild, fixing compile issue

* Mon Nov 15 2021 Yupeng Chang <ypchang@ambarella.com> - 1.6-2
- Rebuild

* Wed Jan 08 2014 Yupeng Chang <ypchang@ambarella.com> - 1.6-1
- Initial build

